# ApplicationFramework
TKLCAF
TDF

# TDF_LabelMap Class Reference

`#include <TDF_LabelMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_LabelMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT TDF_LabelMap & | Assign (const TDF_LabelMap &Other)
TDF_LabelMap & | operator= (const TDF_LabelMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TDF_LabelMap ()
Standard_EXPORT Standard_Boolean | Add (const TDF_Label &aKey)
Standard_EXPORT Standard_Boolean | Contains (const TDF_Label &aKey) const
Standard_EXPORT Standard_Boolean | Remove (const TDF_Label &aKey)

## Private Member Functions

Standard_EXPORT | TDF_LabelMap (const TDF_LabelMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TDF_LabelMap::TDF_LabelMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

TDF_LabelMap::~TDF_LabelMap | ( |  | ) | `[inline]`

Standard_EXPORT TDF_LabelMap::TDF_LabelMap | ( | const TDF_LabelMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean TDF_LabelMap::Add | ( | const TDF_Label & | aKey | ) |

Standard_EXPORT TDF_LabelMap& TDF_LabelMap::Assign | ( | const TDF_LabelMap & | Other | ) |

Standard_EXPORT void TDF_LabelMap::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean TDF_LabelMap::Contains | ( | const TDF_Label & | aKey | ) | const

void TDF_LabelMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_LabelMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_LabelMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TDF_LabelMap& TDF_LabelMap::operator= | ( | const TDF_LabelMap & | Other | ) | `[inline]`

Standard_EXPORT Standard_Boolean TDF_LabelMap::Remove | ( | const TDF_Label & | aKey | ) |

Standard_EXPORT void TDF_LabelMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

The documentation for this class was generated from the following file:

- TDF_LabelMap.hxx